body {
  min-height: 100vh;
  min-height: -webkit-fill-available;
  background-image: url('/img/bg_landscape.jpg');
  background-size: auto;
}

html {
  height: -webkit-fill-available;
}

.login  {
  padding-top: 150px;
}

.transparan {
  background-color: rgba(255, 255, 255, 0.85);
}

.kabur {
  background-color: rgba(255, 255, 255, 0.3);
}

.editor {
  background-color: rgba(255, 255, 255, 0.5);
}

.gelap-transparan {
  background-color: rgba(14, 22, 36, 0.9);
}

.gelap-kabur  {
  background-color: rgba(14, 22, 36, 0.3);
}

.modal-content  {
  background-image: url('/img/bg_modal.jpg');
  background-size: auto;
}

.avd_sidebar  {
  width: 280px;
  position: fixed;
  height: 100%;
  background-image: url('/img/bg_sidebar.jpg');
  background-size: auto;
}

main {
  height: 100vh;
  height: -webkit-fill-available;
  max-height: 100vh;
  overflow-x: auto;
  overflow-y: hidden;
  width: calc(100% - 280px);
  margin-left: 280px;
  overflow-x: hidden;
  overflow-y: auto;
}

.dropdown-toggle { outline: 0; }

.btn-toggle {
  padding: .25rem .5rem;
  font-weight: 600;
  color: var(--bs-emphasis-color);
  background-color: transparent;
}
.btn-toggle:hover,
.btn-toggle:focus {
  color: rgba(var(--bs-emphasis-color-rgb), .85);
  background-color: var(--bs-tertiary-bg);
}

.btn-toggle::before {
  width: 1.25em;
  line-height: 0;
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
  transition: transform .35s ease;
  transform-origin: .5em 50%;
}

[data-bs-theme="dark"] .btn-toggle::before {
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%28255,255,255,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
}

.btn-toggle[aria-expanded="true"] {
  color: rgba(var(--bs-emphasis-color-rgb), .85);
}
.btn-toggle[aria-expanded="true"]::before {
  transform: rotate(90deg);
}

.btn-toggle-nav a {
  padding: .1875rem .5rem;
  margin-top: .125rem;
  margin-left: 1.25rem;
}
.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
  background-color: var(--bs-tertiary-bg);
}

.scrollarea {
  overflow-y: auto;
}

.nav-link {
  color: #fff;
  transition: all 0.25s ease;
}

.nav-link:hover {
  color: #fff;
  background-color: #198754;
}

.header-sticky {
    position: sticky;
    top: 0;
    z-index: 1020; /* penting agar tidak tertutup konten */
}

#tabel-biasa  thead tr  th  {
  color: #fff;
  background-color: #0e1624;
}

#tabel-biasa  tbody tr  td  {
  color: #0e1624;
}

.table-scroll-x {
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch; /* smooth di mobile */
}

.table-scroll-x table {
    min-width: 100%; /* sesuaikan jumlah kolom */
}

/* Pastikan container utama tidak ikut scroll */
.dt-container,
.dt-layout-row {
    overflow-x: visible !important;
}

/* Scroll hanya pada isi tabel */
.dt-scroll-body {
    overflow-x: auto !important;
    -webkit-overflow-scrolling: touch;
}

/* Header & footer jangan ikut scroll */
.dt-scroll-head,
.dt-scroll-foot {
    overflow: hidden !important;
}

@media (max-width: 768px) {
  .login  {
    padding-top: 20px;
  }
  body  {
    background-image: url('/img/bg_potrait.jpg');
    background-size: contain;
  }

  main  {
    width: 100%;
    margin-left: 0px;
  }

  .header-sticky  {
    background-color: rgba(255, 255, 255, 0.85);
  }
}
